Apache Tomcat 6.0.53

## org.apache.naming
Class NamingContextBindingsEnumeration

    java.lang.Object
      org.apache.naming.NamingContextBindingsEnumeration

All Implemented Interfaces:
  java.util.Enumeration, javax.naming.NamingEnumeration

    public class NamingContextBindingsEnumeration

extends java.lang.Object
implements javax.naming.NamingEnumeration

Naming enumeration implementation.

Author:
  Remy Maucherat

Field Summary
`protected java.util.Iterator` | `iterator` Underlying enumeration.

Constructor Summary
`NamingContextBindingsEnumeration(java.util.Iterator entries, javax.naming.Context ctx)`

Method Summary
`void` | `close()` Closes this enumeration.
`boolean` | `hasMore()` Determines whether there are any more elements in the enumeration.
`boolean` | `hasMoreElements()`
`java.lang.Object` | `next()` Retrieves the next element in the enumeration.
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected java.util.Iterator iterator

  Underlying enumeration.

Constructor Detail

### NamingContextBindingsEnumeration

    public NamingContextBindingsEnumeration(java.util.Iterator entries,
                                            javax.naming.Context ctx)

Method Detail

### next

    public java.lang.Object next()
                          throws javax.naming.NamingException

  Retrieves the next element in the enumeration.

  Specified by:
    `next` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMore

    public boolean hasMore()
                    throws javax.naming.NamingException

  Determines whether there are any more elements in the enumeration.

  Specified by:
    `hasMore` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### close

    public void close()
               throws javax.naming.NamingException

  Closes this enumeration.

  Specified by:
    `close` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.